# digital_ocean_certificate_info – Gather information about DigitalOcean certificates

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided certificates.

- This module was called `digital_ocean_certificate_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_certificate_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
certificate_id - |  | Certificate ID that can be used to identify and reference a certificate.
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all certificates
      digital_ocean_certificate_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about certificate with given id
      digital_ocean_certificate_info:
        oauth_token: "{{ oauth_token }}"
        certificate_id: "892071a0-bb95-49bc-8021-3afd67a210bf"

    - name: Get not after information about certificate
      digital_ocean_certificate_info:
      register: resp_out
    - set_fact:
        not_after_date: "{{ item.not_after }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?name=='web-cert-01']"
    - debug: var=not_after_date

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean certificate information Sample: [{'id': '892071a0-bb95-49bc-8021-3afd67a210bf', 'name': 'web-cert-01', 'not_after': '2017-02-22T00:23:00Z', 'sha1_fingerprint': 'dfcc9f57d86bf58e321c2c6c31c7a971be244ac7', 'created_at': '2017-02-08T16:02:37Z'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.